#ifndef RTCMANAGER_H
#define RTCMANAGER_H
#include <RTClib.h>

class RtcManager
{
  friend class SAB;
  public:
    DateTime getDateTime() const;
    void setDate(const DateTime dateTime);
    void setTime(const DateTime dateTime);
    void setDateTime(const DateTime dateTime);
    boolean hasLostPower() const;
  protected:
    RtcManager(RTC_DS3231 &rtc);
  private:
    RTC_DS3231 &_rtcRef;
};

#endif //RTCMANAGER_H
